Canon Community Canon Community
 


Reply
New Contributor
Posts: 2
Registered: ‎01-27-2019

Compatible with Mac???

[ Edited ]

I have a MacBook Pro (new this summer) with Mojave 10.14.13

I just bought a beautiful new Rebel T7i and I am truying to download the Canon software.  

It is telling me there are no versions compatible. "There is no software for the OS Version you selected."

 Is that REALLY possible??  What can I do??  It is the only computer I have.  HELP!!?

Honored Contributor
Posts: 7,698
Registered: ‎08-13-2015

Re: Compatible with Mac???


@KLCafferty wrote:

I have a MacBook Pro (new this summer) with Mojave 10.14.13

I just bought a beautiful new Rebel T7i and I am truying to download the Canon software.  

It is telling me there are no versions compatible.  Is that REALLY possible??  What can I do??  It is the only computer I have.  HELP!!?


The download screen allows you to select a version of the OS.  Select an older version that offers the software.

----------------------------------------------------------------------------------------------------------------------------------------------------------

"I don't rent software. I use Photoshop CS6, ACR 9.8 and Lightroom 6.8 ."
New Contributor
Posts: 2
Registered: ‎01-27-2019

Re: Compatible with Mac???

I'm just trying to connect my camera to my computer.

Esteemed Contributor
Posts: 3,134
Registered: ‎02-17-2016

Re: Compatible with Mac???

You don't need any Canon software to use the T7i on your Mac. Just plug it in and Photos or Image capture should open and let you download your pictures.

Highlighted
Honored Contributor
Posts: 7,698
Registered: ‎08-13-2015

Re: Compatible with Mac???


@kvbarkley wrote:

You don't need any Canon software to use the T7i on your Mac. Just plug it in and Photos or Image capture should open and let you download your pictures.


If you want to edit RAW files, then you might want to download Canon’s Digital Photo Professional software.  

----------------------------------------------------------------------------------------------------------------------------------------------------------

"I don't rent software. I use Photoshop CS6, ACR 9.8 and Lightroom 6.8 ."
powered by Lithium

LIKE US on Facebook FOLLOW US on Twitter WATCH US on YouTube CONNECT WITH US on Linkedin WATCH US on Vimeo FOLLOW US on Instagram SHOP CANON at the Canon Online Store
© Canon U.S.A., Inc.   |    Terms of Use   |    Privacy Statement